catalog:
  title: PR2 Navigation Mission [Docker]

templates:
- runnable
- base

variables:
  description: Run the robobench pr2 navigation mission
  keywords:
  - python
  - fsmt
  - docker
  - programming language
  - testing
  - integrations tests
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  - jweisz@cs.columbia.edu

  branches:
  - install
  - build
  - run

  platform-requires:
    ubuntu:
      packages:
      - python2.7
      - python2.7-dev
      - python-setuptools
      - python-pip
      - expect-dev

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0
    export PYTHONPATH="${toolkit.dir}"/lib/python2.7/site-packages
    unbuffer "${toolkit.dir}"/bin/citman run-demo --demo=runnable-robobench-pr2-navigation

versions:
- name: install
  variables:
    extra-requires:
    - nature: freestyle
      target: citman-install-pr2-interactive-manipulation

- name: build
  variables:
    shell.command: |
      #!/bin/bash
      citman install-distro --distro=pr2-interactive-manipulation --rebuild=True

- name: run
